⌘K

HI 3D Model Split

hi3d_model_split

Split a 3D model into parts for character or general model workflows.

API Notes

mesh_url must be an HTTP or HTTPS URL. This model is asynchronous.

Use the character parameters for split_type=character, or level for split_type=general. Do not mix the two parameter groups.

Authentication

All APIs require authentication via Bearer Token.

Get API Key:

Visit API Key Management Page to get your API Key.

Usage:

Add to request header:

Authorization: Bearer YOUR_API_KEY

model string required

Value: hi3d_model_split

mesh_url string required

Publicly accessible HTTP or HTTPS URL of the input 3D model.

split_type string

Split workflow.

Options: character, general
Default: character

format string

Output format.

Options: obj, glb, stl, fbx, usdz, 3mf
Default: glb

part string

Character split part selection.

Options: a, b, c, d, e, f

Use only with split_type=character. The default is a.

joint string

Character joint type.

Options: none, ball, dovetail, pin
Default: ball

Use only with split_type=character.

merge string

Whether to merge the selected joint.

Options: yes, no
Default: yes

Use only with split_type=character and when joint is not none. Do not send merge when joint=none.

level string

General split level.

Options: low, medium, high
Default: medium

Use only with split_type=general. Do not send part, joint, or merge in this mode.

Polling

Since result generation takes time, you need to poll the task status after creating the task.

The initial response only returns information such as the task ID and initial status. The final result must be obtained by polling the task status endpoint using the task ID.

See the examples on the right for polling requests and responses.

Response Format

error object

Error information, only present when status is failed

code string

Error code

message string

Detailed error message


output array

Generation results, only present when status is completed

content array

List of generated resource content

type string

Resource type

Value: image|video

url string

Processed resource URL

jobId string

Remote task ID


usage object

Usage statistics, only present when status is completed

cost string

Total cost in USD

discount number

Discount amount


metadata object

Metadata information